com.sun.java.xml.ns.javaee

## Class LifecycleCallbackType

- java.lang.Object
- - com.sun.java.xml.ns.javaee.LifecycleCallbackType

-     public class LifecycleCallbackType
      extends Object

  The lifecycle-callback type specifies a method on a class to be called when a lifecycle event occurs. Note that each class may have only one lifecycle callback method for any given event and that the method may not be overloaded. If the lifefycle-callback-class element is missing then the class defining the callback is assumed to be the component class in scope at the place in the descriptor in which the callback definition appears.

  Java-Klasse für lifecycle-callbackType complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType name="lifecycle-callbackType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="lifecycle-callback-class" type="{http://java.sun.com/xml/ns/javaee}fully-qualified-classType" minOccurs="0"/>
               <element name="lifecycle-callback-method" type="{http://java.sun.com/xml/ns/javaee}java-identifierType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected FullyQualifiedClassType` | `lifecycleCallbackClass`
    `protected JavaIdentifierType` | `lifecycleCallbackMethod`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LifecycleCallbackType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FullyQualifiedClassType` | `getLifecycleCallbackClass()` Ruft den Wert der lifecycleCallbackClass-Eigenschaft ab.
    `JavaIdentifierType` | `getLifecycleCallbackMethod()` Ruft den Wert der lifecycleCallbackMethod-Eigenschaft ab.
    `void` | `setLifecycleCallbackClass(FullyQualifiedClassType value)` Legt den Wert der lifecycleCallbackClass-Eigenschaft fest.
    `void` | `setLifecycleCallbackMethod(JavaIdentifierType value)` Legt den Wert der lifecycleCallbackMethod-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### lifecycleCallbackClass

          protected FullyQualifiedClassType lifecycleCallbackClass

    - #### lifecycleCallbackMethod

          protected JavaIdentifierType lifecycleCallbackMethod

  - ### Constructor Detail

    - #### LifecycleCallbackType

          public LifecycleCallbackType()

  - ### Method Detail

    - #### getLifecycleCallbackClass

          public FullyQualifiedClassType getLifecycleCallbackClass()

      Ruft den Wert der lifecycleCallbackClass-Eigenschaft ab.
      Returns:
        possible object is `FullyQualifiedClassType`

    - #### setLifecycleCallbackClass

          public void setLifecycleCallbackClass(FullyQualifiedClassType value)

      Legt den Wert der lifecycleCallbackClass-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `FullyQualifiedClassType`

    - #### getLifecycleCallbackMethod

          public JavaIdentifierType getLifecycleCallbackMethod()

      Ruft den Wert der lifecycleCallbackMethod-Eigenschaft ab.
      Returns:
        possible object is `JavaIdentifierType`

    - #### setLifecycleCallbackMethod

          public void setLifecycleCallbackMethod(JavaIdentifierType value)

      Legt den Wert der lifecycleCallbackMethod-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `JavaIdentifierType`

Copyright © 2015 buschmais GbR. All rights reserved.